uk.gov.hmrc.performance.conf

# PerftestConfiguration

###
Related Doc: package conf

#### trait PerftestConfiguration extends Configuration

Linear Supertypes
Configuration, AnyRef, Any
Known Subclasses
PerformanceTestRunner
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PerftestConfiguration
2. Configuration
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### lazy val applicationConfig: Config

   Definition Classes
     Configuration

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### lazy val constantRateTime: FiniteDuration

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hasProperty(property: String): Boolean

    Definition Classes
      Configuration

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### def keys(property: String): List[String]

    Definition Classes
      Configuration

16. #### lazy val labels: Set[String]

17. #### lazy val loadPercentage: Double

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### val noLoad: Double

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### lazy val percentageFailureThreshold: Int

23. #### lazy val rampDownTime: FiniteDuration

24. #### lazy val rampUpTime: FiniteDuration

25. #### def readProperty(property: String, default: String): String

    Definition Classes
      Configuration

26. #### def readProperty(property: String): String

    Definition Classes
      Configuration

27. #### def readPropertyBooleanOption(property: String): Option[Boolean]

    Definition Classes
      Configuration

28. #### def readPropertyList(property: String): List[String]

    Definition Classes
      Configuration

29. #### def readPropertyOption(property: String): Option[String]

    Definition Classes
      Configuration

30. #### def readPropertySet(property: String): Set[String]

    Definition Classes
      Configuration

31. #### def readPropertySetOrEmpty(property: String): Set[String]

    Definition Classes
      Configuration

32. #### lazy val runLocal: Boolean

    Definition Classes
      Configuration

33. #### lazy val runSingleUserJourney: Boolean

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### def toString(): String

    Definition Classes
      AnyRef → Any

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Configuration

### Inherited from AnyRef

### Inherited from Any

### Ungrouped